'AxExeUnreg.vbs
'
'Unregister an ActiveX EXE.
'
'Drag the library's icon onto the icon for this file, or
'execute it from a command prompt as in:
'
' AxExeUnreg.vbs fullpathtoEXE

If WScript.Arguments.Count < 1 Then
  WScript.Echo "Missing EXE parameter." & vbNewLine _
             & "Use AxExeUnreg.vbs fullpathtoEXE" & vbNewLine _
             & "or drag EXE's icon onto this script's icon."
Else
  With CreateObject("WScript.Shell")
    If Fix(CSng(.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\CurrentVersion"))) >= 6 Then
      'Vista or later code:
      With CreateObject("Shell.Application")
        .ShellExecute WScript.Arguments(0), "/unregserver", , "runas"
      End With
    Else
      'Old-Windows code (run by admin user):
      .Run """" & WScript.Arguments(0) & """ /unregserver"
    End If
  End With
  WScript.Echo "Complete!"
End If
